MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027434Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2016-04-26 15:032017-09-29 16:31
Reporternbv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0027434: Wrong result of classification of the point in "infinity"
Descriptionb2dclassify DRAW-command returns incorrect result with attached face.

Indeed, the point is too far from surface boundary. Consequently, the result must be OUT. However, we have IN.
Steps To Reproducerestore ff.brep
point pp 3.5104958975622309 1.4497931574922160e+031

b2dclassify ff pp
#The point is IN shape ==>WRONG (must be OUT)
TagsNo tags attached.
Test case numberbugs modalg_6 bug27434
Attached Files? file icon ff.brep (284,361 bytes) 2016-04-26 15:03

- Relationships

-  Notes
(0055864)
git (administrator)
2016-07-12 18:11

Branch CR27434 has been created by aka.

SHA-1: b7b960e7459a7648b1898ee7ae40b94293a10edf


Detailed log of new commits:

Author: aka
Date: Tue Jul 12 17:37:04 2016 +0300

    method BRepTools::UVBounds was added for check whether the point inside bounding box
(0055865)
aka (developer)
2016-07-12 18:12

Please review branch CR27434
(0055881)
msv (developer)
2016-07-13 10:28

Remarks:

- Just returning leaves the state undefinite.
- BRepClass_FaceExplorer has a special method Reject(gp_Pnt2d) that if returns true means out state (see implementation of the method TopClass_FaceClassifier::State). So you need to put the code in the method Reject.
- In order to reduce effect of slow work of UVBounds, I propose first to get bounds of the surface. If they are infinite then call UVBounds.
- It is needed to take into account the case of not-restricted faces and reversed faces (a hole in the space). So if the face has no wires the flag 'nowires' must be turned on before trying to compute bounds. If the face has wires and the point is rejected it is needed to compute the area of the face. If the area is negative then the state must be IN. Please make needed changes in the method State().
- Just in case, please make initialization of all simple type fields of the classifier in the constructors.
(0055919)
git (administrator)
2016-07-14 17:41

Branch CR27434 has been updated forcibly by aka.

SHA-1: 4e362749e67c58c9de76ccb2282247f8c96f9e59
(0055920)
aka (developer)
2016-07-14 17:47

Please review updated branch CR27434
(0055922)
msv (developer)
2016-07-14 19:58

Remarks:

src\BRepClass\BRepClass_FaceExplorer.cxx
- line 61: it is needed to use another method Surface that take a second argument location, because it returns the original surface. The method with single argument can make a clone (which is not needed here) if location is not identity.
- 69: It is incorrect to use 3D tolerance in parametric comparisons. Instead create GeomAdaptor_Surface and use methods UResolution and VResolution to get tolerances for each dimension corresponding to the given 3D tolerance.

src\TopClass\TopClass_FaceClassifier.gxx
- the second constructor also needs initialization of all fields.
- the lines 57-62 can be replaced with:
  Fexp.InitWires();
  myIsNoWires = !Fexp.MoreWires();
- if no wires then immediate return is needed.
(0056003)
git (administrator)
2016-07-18 15:57

Branch CR27434 has been updated by aka.

SHA-1: d4d5aa30e397f62b8b26393cda9b1937db2159d4


Detailed log of new commits:

Author: aka
Date: Mon Jul 18 15:58:20 2016 +0300

    src\BRepClass\BRepClass_FaceExplorer.cxx:
    Right method Surface and values of Tolerance were used in Reject;
    
    src\TopClass\TopClass_FaceClassifier.gxx:
    Initialization of field were added to the second constructor;
    Lines 57-62 were corrected;

(0056004)
aka (developer)
2016-07-18 16:01

Remarks were fixed. Please review branch CR27434
(0056011)
msv (developer)
2016-07-18 17:19

Please create a test case, re-base on current master, combine into one commit and push a new branch.
(0056013)
git (administrator)
2016-07-18 19:41

Branch CR27434 has been updated forcibly by aka.

SHA-1: 1c5e27c19a7980c0a5083ef2074a7fce7b0f67ec
(0056016)
git (administrator)
2016-07-19 11:38

Branch CR27434 has been updated forcibly by aka.

SHA-1: b50fb11a0cffdab1c874effa292e4cafa760f8df
(0056018)
aka (developer)
2016-07-19 11:41

Message was updated. Please review
(0056019)
git (administrator)
2016-07-19 11:59

Branch CR27434 has been updated forcibly by aka.

SHA-1: 6f6affacee5289c285963f10fac6ab0063f7da25
(0056020)
msv (developer)
2016-07-19 12:01

Reviewed.
(0056045)
apv (tester)
2016-07-20 11:41

Dear BugMaster,

Branch CR27434 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 6f6affacee5289c285963f10fac6ab0063f7da25

Number of compiler warnings:
occt component:
   Linux: 6 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 2 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1122
New warnings have been detected during build OCCT component
on Linux:
http://jenkins-test-05.nnov.opencascade.com/view/CR27434-master/job/CR27434-master-OCCT-Debian70-64-opt-compile/1/warnings17Result/new/ [^]
on MacOS:
http://jenkins-test-05.nnov.opencascade.com/view/CR27434-master/job/CR27434-master-OCCT-MacOS-opt-compile/1/warnings7Result/new/ [^]

Regressions/Differences:
http://occt-tests/CR27434-master-OCCT/Debian70-64/summary.html [^]
http://occt-tests/CR27434-master-OCCT/Windows-64-VC10/summary.html [^]

CPU-problematic test cases have been detected:
boolean bcut_complex O7: 2.964019 / 1.6224104 [+82.69%]
bugs moddata_2 bug469: 18.9229213 / 12.5112802 [+51.25%]

Testing on Linux:
Total MEMORY difference: 87628222 / 87508589 [+0.14%]
Total CPU difference: 18018.709999999952 / 17901.719999999874 [+0.65%]

Testing on Windows:
Total MEMORY difference: 57411335 / 57431602 [-0.04%]
Total CPU difference: 18045.977278598995 / 18076.974677298753 [-0.17%]

There are differences in images found by testdiff:
http://occt-tests/CR27434-master-OCCT/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR27434-master-OCCT/Windows-64-VC10/diff-Windows-64-VC10-image.html [^]
boolean gdml_private ZI5
boolean gdml_private ZJ7
boolean gdml_private ZI7
boolean volumemaker A7
boolean volumemaker C2
boolean volumemaker A6
boolean volumemaker D8
boolean volumemaker B6
boolean volumemaker A8
xcaf brep_to_stp_add_CL I6
de iges_2 H4
de iges_2 F4
de iges_2 I8
de iges_2 H3
de iges_2 F5
de iges_2 D1
de iges_2 G9
de iges_2 C9
de iges_2 F8
de iges_3 A5
de iges_3 A2
de iges_3 A8
de step_1 J6
heal split_continuity_standard ZV7
heal split_continuity_standard ZR7
heal surface_to_revolution_standard ZV7
heal surface_to_revolution_standard ZR7
heal split_angle_standard ZV7
heal split_angle_standard ZR7
bugs iges buc60894
bugs moddata_2 bug8169
bugs modalg_2 bug21261_44
bugs modalg_2 bug21261_45
bugs modalg_2 bug21261_11
bugs modalg_2 bug21261_27
bugs modalg_2 bug21261_28
bugs modalg_2 bug21261_46
bugs modalg_2 bug21261_13
bugs modalg_2 bug21261_12
bugs modalg_2 bug21261_26
bugs modalg_5 bug25818
http://occt-tests/CR27434-master-Products/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR27434-master-Products/Windows-64-VC10/diff-Windows-64-VC10-image.html [^]
cr standard C2
cr standard A9
sat doc_1 A4
sat doc_5 H6
sat doc_6 I7
sat doc_6 F2
(0056046)
apv (tester)
2016-07-20 11:43
edited on: 2016-07-20 11:44

Dear Anastasia,

Branch CR27434 has been rejected due to:
- additional warnings
- regressions/differences/improvements
- CPU problem
- differences in images

(0056756)
git (administrator)
2016-08-16 16:30

Branch CR27434_1 has been created by aka.

SHA-1: 6685c0df023463046b8aa9f41f892c2f7adc8f0f


Detailed log of new commits:

Author: aka
Date: Tue Aug 16 16:27:14 2016 +0300

    Failed testcases were fixed

Author: aka
Date: Tue Jul 12 17:37:04 2016 +0300

    0027434: Wrong result of classification of the point in "infinity"
    
    In the case of infinite point due to not enough machine precision the distance from the point to each edge of the face is computed the same, and the algorithm cannot correctly select the nearest edge. To solve this problem rejection of point is added, by checking if the point is outside of the bounding box of the face boundaries. The cases of not-restricted faces and reversed faces are taken into account.
(0056757)
aka (developer)
2016-08-16 16:32

Regressions on tests were fixed. Please review.
(0056762)
msv (developer)
2016-08-16 17:33
edited on: 2016-08-16 17:34

Now SurfaceProperties are calculated twice for the same face - in the method BRepClass_FaceExplorer::Reject and in BRepClass_FaceExplorer::IsNegativeArea. Please make it computed once only. Remember result in a field of the class.

(0056768)
git (administrator)
2016-08-16 19:06

Branch CR27434_1 has been updated by aka.

SHA-1: d57903907b15f1ecfae0931e9f3154c1ab81de67


Detailed log of new commits:

Author: aka
Date: Tue Aug 16 19:07:59 2016 +0300

    SurfaceProperties now computed only once.

(0056775)
msv (developer)
2016-08-17 09:22

src\BRepClass\BRepClass_FaceExplorer.cxx

- line 66: it is not good to compare a double value on equality with 0. It's better to compare the absolute value with a small value like gp::Resolution().
- line 97: to make conform with line 66, compare with -gp::Resolution() instead of 0.
(0056777)
git (administrator)
2016-08-17 10:49

Branch CR27434_1 has been updated by aka.

SHA-1: a8d107b7c4efabc19bf0bbab687c4987fd7301b3


Detailed log of new commits:

Author: aka
Date: Wed Aug 17 10:50:29 2016 +0300

    gp::Resolution() was used instead of 0

(0056778)
git (administrator)
2016-08-17 11:20

Branch CR27434_1 has been updated by aka.

SHA-1: 5d8768747a24013c2a94609c97253db804c58241


Detailed log of new commits:

Author: aka
Date: Wed Aug 17 11:21:12 2016 +0300

    Small corrections

(0056780)
msv (developer)
2016-08-17 11:48

Reviewed.
(0056808)
apv (tester)
2016-08-17 18:29

Dear BugMaster,

Branch CR27434_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 5d8768747a24013c2a94609c97253db804c58241

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1152

Regressions/Differences:
http://occt-tests/CR27434_1-master-OCCT/Debian70-64/summary.html [^]
http://occt-tests/CR27434_1-master-OCCT/Windows-64-VC10/summary.html [^]

CPU-problematic test cases have been detected:
boolean gdml_private ZJ7: 1.1076071 / 0.2340015 [+373.33%]
boolean gdml_private ZI7: 1.1076071 / 0.2028013 [+446.15%]
chamfer equal_dist_sequence C1: 5.3196341 / 2.7456176 [+93.75%]
chamfer dist_angle_sequence C1: 5.2884339 / 2.7144174 [+94.83%]
chamfer dist_dist_sequence C1: 5.2260335 / 2.7456176 [+90.34%]
de iges_3 B1: 129.8084321 / 63.8356092 [+103.35%]
de iges_1 L8: 41.7926679 / 9.6876621 [+331.40%]
mesh standard_incmesh_parallel G3: 1.404009 / 0.7020045 [+100.00%]
bugs heal bug26635: 2.4648158 / 1.6692107 [+47.66%]
bugs moddata_3 bug24068: 3.6504234 / 1.6692107 [+118.69%]
bugs modalg_5 bug24899: 5.5536356 / 1.6380105 [+239.05%]
bugs modalg_5 bug24242: 1.8252117 / 0.1716011 [+963.64%]
bugs modalg_5 bug24472: 9.5940615 / 4.3368278 [+121.22%]
bugs modalg_6 bug27341_323: 10.0932647 / 5.460035 [+84.86%]
bugs modalg_6 bug27341_207: 4.6020295 / 2.2776146 [+102.05%]
bugs modalg_6 bug21875: 1.0608068 / 0.0780005 [+1260.00%]
bugs modalg_6 bug26952_2: 33.1658126 / 6.2868403 [+427.54%]
bugs modalg_6 bug27341_206: 4.5708293 / 2.028013 [+125.38%]
bugs modalg_6 bug26952_1: 31.4342015 / 7.3944474 [+325.11%]
bugs modalg_6 bug26674: 0.7956051 / 0.2028013 [+292.31%]
bugs modalg_6 bug26484: 1.1232072 / 0.3276021 [+242.86%]
bugs modalg_6 bug27341_320: 6.4428413 / 4.1808268 [+54.10%]

Testing on Linux:
Total MEMORY difference: 87541856 / 88320025 [-0.88%]
Total CPU difference: 18845.640000000087 / 18369.270000000048 [+2.59%]

Testing on Windows:
Total MEMORY difference: 56442163 / 56458266 [-0.03%]
Total CPU difference: 17785.081206198745 / 17264.958272098884 [+3.01%]

There are differences in images found by testdiff:
http://occt-tests/CR27434_1-master-OCCT/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR27434_1-master-OCCT/Windows-64-VC10/diff-Windows-64-VC10-image.html [^]
boolean gdml_private ZI5
boolean gdml_private ZJ7
boolean gdml_private ZI7
boolean volumemaker D8
boolean volumemaker B6
boolean volumemaker A8
bugs modalg_2 bug21261_44
bugs modalg_2 bug21261_45
bugs modalg_2 bug21261_11
bugs modalg_2 bug21261_27
bugs modalg_2 bug21261_28
bugs modalg_2 bug21261_46
bugs modalg_2 bug21261_13
bugs modalg_2 bug21261_12
bugs modalg_2 bug21261_26
http://occt-tests/CR27434_1-master-Products/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR27434_1-master-Products/Windows-64-VC10/diff-Windows-64-VC10-image.html [^]
dxf read bug25988_14
parasolid doc_1 A2
sat doc_1 A4
(0056809)
apv (tester)
2016-08-17 18:31

Dear Anastasia,

Branch CR27434_1 has been rejected due to:
- regressions/differences/improvements
- CPU problem
- differences in images
(0059324)
apv (tester)
2016-10-28 14:29

Testing results are too old and will be deleted.
(0059381)
git (administrator)
2016-10-28 18:37

Branch CR27434_2 has been created by aka.

SHA-1: 3790a4748dac2504b7b8561e68e190486609426b


Detailed log of new commits:

Author: aka
Date: Wed Oct 5 13:47:42 2016 +0300

    some failed test cases were fixed

Author: aka
Date: Wed Aug 17 11:21:12 2016 +0300

    Small corrections

Author: aka
Date: Wed Aug 17 10:50:29 2016 +0300

    gp::Resolution() was used instead of 0

Author: aka
Date: Tue Aug 16 19:07:59 2016 +0300

    SurfaceProperties now computed only once.

Author: aka
Date: Tue Aug 16 16:27:14 2016 +0300

    Failed testcases were fixed

Author: aka
Date: Tue Jul 12 17:37:04 2016 +0300

    0027434: Wrong result of classification of the point in "infinity"
    
    In the case of infinite point due to not enough machine precision the distance from the point to each edge of the face is computed the same, and the algorithm cannot correctly select the nearest edge. To solve this problem rejection of point is added, by checking if the point is outside of the bounding box of the face boundaries. The cases of not-restricted faces and reversed faces are taken into account.
(0059708)
msv (developer)
2016-11-01 16:20

The initial idea of the fix occurred to be not so good, as it leads to principal regressions that cannot be eliminated. It was based on assumption that a face has good contour, and we can calculate the area of the face. Sometimes we face with the cases when the contour is not correct, and we cannot use the area sign to take the right decision about the state of the point.

The next idea to be realize is concluded in the following. If a point to classify is located too far from the bounding box of the face, then we replace it with another point located on the line between the point and the center of the bounding box, and the new point has the same state as initial one but its state can be resolved without ambiguity.
(0059987)
git (administrator)
2016-11-08 11:55

Branch CR27434_3 has been created by aka.

SHA-1: f858071f9a7918ec08318be46dea9d99722c88a4


Detailed log of new commits:

Author: aka
Date: Tue Nov 8 11:55:00 2016 +0300

    0027434: Wrong result of classification of the point in "infinity"
    
    In the case of infinite point due to not enough machine precision the distance from the point to each edge of the face is computed the same, and the algorithm cannot correctly select the nearest edge. To solve this problem rejection of point is added, by checking if the point is located too far from the bounding box of the face, then we replace it with another point located between the point and the center of the bounding box.
    The new point has the same state as initial one but its state can be resolved without ambiguity.
(0060241)
msv (developer)
2016-11-11 15:36

Please consider verbal remarks.
(0060495)
git (administrator)
2016-11-17 15:02

Branch CR27434_4 has been created by aka.

SHA-1: ddc665b91755dd8ab0725fa950d4620a44b231c2


Detailed log of new commits:

Author: aka
Date: Thu Nov 17 14:46:52 2016 +0300

    0027434: Wrong result of classification of the point in "infinity"
    
    In the case of infinite point due to not enough machine precision the distance from the point to each edge of the face is computed the same, and the algorithm cannot correctly select the nearest edge. To solve this problem checking of point was added, if the point is located too far from the bounding box of the face, then it will be replaced with another point located on the line between the point and the center of the bounding box.
        The new point has the same state as initial one but its state can be resolved without ambiguity.
(0060501)
msv (developer)
2016-11-17 17:00

In BRepClass_FaceExplorer::CheckPoint,
- at 77, we can get rid of calling Abs(), because max is always greater than min.
- at 81, more short code:
aResPoint = aCenterPnt.XY() + aLinDir.XY() * (2. * anEpsilon);
- 86-90 are not needed, instead you can set directly thePoint instead of aResPoint, and return false in place where you change it. So, the argument theTol is extra.
(0060503)
git (administrator)
2016-11-17 18:04

Branch CR27434_4 has been updated by aka.

SHA-1: 3cf3ce2b6416247fe422526b78488d595f7f4ed6


Detailed log of new commits:

Author: aka
Date: Thu Nov 17 18:04:12 2016 +0300

    Corrections in CheckPoint method

(0060508)
msv (developer)
2016-11-18 09:22

Reviewed.
(0060926)
git (administrator)
2016-11-30 15:22

Branch CR27434_4 has been updated forcibly by mkv.

SHA-1: 75c2e7bbcd70465dcfaa4125835a10ce010828e2
(0060991)
mkv (tester)
2016-12-01 19:09

Dear BugMaster,
Branch CR27434_4 was rebased on current master of occt git-repository.
SHA-1: 75c2e7bbcd70465dcfaa4125835a10ce010828e2
(0060992)
mkv (tester)
2016-12-01 19:10

Dear BugMaster,
Branch CR27434_4 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 75c2e7bbcd70465dcfaa4125835a10ce010828e2

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1138

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR27434_4-master-OCCT/Debian70-64/bugs/modalg_6/bug27434.html [^]
http://occt-tests/CR27434_4-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug27434.html [^]
bugs modalg_6 bug27434: OK

Testing on Linux:
occt component :
Total MEMORY difference: 91734745 / 91445654 [+0.32%]
Total CPU difference: 22016.62000000026 / 21816.360000000186 [+0.92%]

products component :
Total MEMORY difference: 29976428 / 29990998 [-0.05%]
Total CPU difference: 5319.319999999976 / 5317.709999999961 [+0.03%]

Testing on Windows:
occt component :
Total MEMORY difference: 56941593 / 56948258 [-0.01%]
Total CPU difference: 20628.83903529853 / 20501.8074209986 [+0.62%]

products component :
Total MEMORY difference: 20842007 / 20808844 [+0.16%]
Total CPU difference: 5281.39825489998 / 5254.222880699978 [+0.52%]

There are no differences in images found by testdiff.
(0060993)
git (administrator)
2016-12-01 19:10

Branch CR27434_4 has been updated by mkv.

SHA-1: e99f7d41ce26bfd9c39a206222586dae58622dfe


Detailed log of new commits:

Author: mkv
Date: Thu Dec 1 19:08:40 2016 +0300

    Small correction of test case for issue CR27434

(0060994)
mkv (tester)
2016-12-01 19:10

Dear BugMaster,
Branch CR27434_4 is TESTED.
(0061782)
git (administrator)
2016-12-18 10:52

Branch CR27434_2 has been deleted by kgv.

SHA-1: 3790a4748dac2504b7b8561e68e190486609426b
(0061783)
git (administrator)
2016-12-18 10:52

Branch CR27434_3 has been deleted by kgv.

SHA-1: f858071f9a7918ec08318be46dea9d99722c88a4
(0061784)
git (administrator)
2016-12-18 10:53

Branch CR27434_4 has been deleted by kgv.

SHA-1: e99f7d41ce26bfd9c39a206222586dae58622dfe
(0061819)
git (administrator)
2016-12-18 10:54

Branch CR27434 has been deleted by kgv.

SHA-1: 6f6affacee5289c285963f10fac6ab0063f7da25
(0061820)
git (administrator)
2016-12-18 10:54

Branch CR27434_1 has been deleted by kgv.

SHA-1: 5d8768747a24013c2a94609c97253db804c58241

- Related Changesets
occt: master a148c938
Timestamp: 2016-12-08 13:33:47
Author: aka
Committer: apn
Details ] Diff ]
0027434: Wrong result of classification of the point in "infinity"

In the case of infinite point due to not enough machine precision the distance from the point to each edge of the face is computed the same, and the algorithm cannot correctly select the nearest edge. To solve this problem checking of point was added, if the point is located too far from the bounding box of the face, then it will be replaced with another point located on the line between the point and the center of the bounding box.
    The new point has the same state as initial one but its state can be resolved without ambiguity.

Corrections in CheckPoint method
Small correction of test case for issue CR27434
mod - src/BRepClass/BRepClass_FaceExplorer.cxx Diff ] File ]
mod - src/BRepClass/BRepClass_FaceExplorer.hxx Diff ] File ]
mod - src/Geom2dHatch/Geom2dHatch_Elements.cxx Diff ] File ]
mod - src/Geom2dHatch/Geom2dHatch_Elements.hxx Diff ] File ]
mod - src/TopClass/TopClass_FaceClassifier.gxx Diff ] File ]
add - tests/bugs/modalg_6/bug27434 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-04-26 15:03 nbv New Issue
2016-04-26 15:03 nbv Assigned To => msv
2016-04-26 15:03 nbv File Added: ff.brep
2016-07-06 17:17 msv Assigned To msv => aka
2016-07-12 18:11 git Note Added: 0055864
2016-07-12 18:12 aka Status new => assigned
2016-07-12 18:12 aka Note Added: 0055865
2016-07-12 18:12 aka Assigned To aka => msv
2016-07-12 18:12 aka Status assigned => resolved
2016-07-13 10:28 msv Note Added: 0055881
2016-07-13 10:28 msv Assigned To msv => aka
2016-07-13 10:28 msv Status resolved => assigned
2016-07-14 17:41 git Note Added: 0055919
2016-07-14 17:47 aka Note Added: 0055920
2016-07-14 17:47 aka Assigned To aka => msv
2016-07-14 17:54 aka Status assigned => resolved
2016-07-14 19:58 msv Note Added: 0055922
2016-07-14 19:58 msv Assigned To msv => aka
2016-07-14 19:58 msv Status resolved => assigned
2016-07-18 15:57 git Note Added: 0056003
2016-07-18 16:01 aka Note Added: 0056004
2016-07-18 16:01 aka Assigned To aka => msv
2016-07-18 16:01 aka Status assigned => resolved
2016-07-18 17:19 msv Note Added: 0056011
2016-07-18 17:19 msv Assigned To msv => aka
2016-07-18 17:19 msv Status resolved => assigned
2016-07-18 19:41 git Note Added: 0056013
2016-07-18 19:42 aka Assigned To aka => msv
2016-07-18 19:42 aka Status assigned => resolved
2016-07-18 20:04 aka Assigned To msv => aka
2016-07-18 20:04 aka Status resolved => assigned
2016-07-19 11:38 git Note Added: 0056016
2016-07-19 11:41 aka Note Added: 0056018
2016-07-19 11:41 aka Assigned To aka => msv
2016-07-19 11:41 aka Status assigned => resolved
2016-07-19 11:59 git Note Added: 0056019
2016-07-19 12:01 msv Note Added: 0056020
2016-07-19 12:01 msv Assigned To msv => bugmaster
2016-07-19 12:01 msv Status resolved => reviewed
2016-07-19 15:50 apv Assigned To bugmaster => apv
2016-07-20 11:41 apv Note Added: 0056045
2016-07-20 11:41 apv Assigned To apv => aka
2016-07-20 11:41 apv Status reviewed => assigned
2016-07-20 11:43 apv Note Added: 0056046
2016-07-20 11:44 apv Note Edited: 0056046 View Revisions
2016-08-16 16:30 git Note Added: 0056756
2016-08-16 16:32 aka Note Added: 0056757
2016-08-16 16:32 aka Assigned To aka => msv
2016-08-16 16:32 aka Status assigned => resolved
2016-08-16 17:33 msv Note Added: 0056762
2016-08-16 17:33 msv Assigned To msv => aka
2016-08-16 17:33 msv Status resolved => assigned
2016-08-16 17:34 msv Note Edited: 0056762 View Revisions
2016-08-16 19:06 git Note Added: 0056768
2016-08-16 19:10 aka Assigned To aka => msv
2016-08-16 19:10 aka Status assigned => resolved
2016-08-17 09:22 msv Note Added: 0056775
2016-08-17 09:22 msv Assigned To msv => aka
2016-08-17 09:22 msv Status resolved => assigned
2016-08-17 10:49 git Note Added: 0056777
2016-08-17 10:49 aka Assigned To aka => msv
2016-08-17 10:49 aka Status assigned => resolved
2016-08-17 11:20 git Note Added: 0056778
2016-08-17 11:48 msv Note Added: 0056780
2016-08-17 11:48 msv Assigned To msv => bugmaster
2016-08-17 11:48 msv Status resolved => reviewed
2016-08-17 11:54 mkv Assigned To bugmaster => apv
2016-08-17 18:29 apv Note Added: 0056808
2016-08-17 18:29 apv Assigned To apv => aka
2016-08-17 18:29 apv Status reviewed => assigned
2016-08-17 18:31 apv Note Added: 0056809
2016-10-28 14:29 apv Note Added: 0059324
2016-10-28 18:37 git Note Added: 0059381
2016-11-01 16:10 msv Target Version 7.1.0 => 7.2.0
2016-11-01 16:20 msv Note Added: 0059708
2016-11-08 11:55 git Note Added: 0059987
2016-11-08 11:55 aka Assigned To aka => msv
2016-11-08 11:55 aka Status assigned => resolved
2016-11-11 15:36 msv Note Added: 0060241
2016-11-11 15:36 msv Assigned To msv => aka
2016-11-11 15:36 msv Status resolved => assigned
2016-11-17 15:02 git Note Added: 0060495
2016-11-17 15:02 aka Assigned To aka => msv
2016-11-17 15:02 aka Status assigned => resolved
2016-11-17 17:00 msv Note Added: 0060501
2016-11-17 17:00 msv Assigned To msv => aka
2016-11-17 17:00 msv Status resolved => assigned
2016-11-17 18:04 git Note Added: 0060503
2016-11-17 18:05 aka Assigned To aka => msv
2016-11-17 18:05 aka Status assigned => resolved
2016-11-18 09:22 msv Note Added: 0060508
2016-11-18 09:22 msv Assigned To msv => bugmaster
2016-11-18 09:22 msv Status resolved => reviewed
2016-11-18 09:41 apv Assigned To bugmaster => apv
2016-11-18 09:42 apv Assigned To apv => bugmaster
2016-11-18 12:14 mkv Assigned To bugmaster => apv
2016-11-18 14:23 apv Assigned To apv => bugmaster
2016-11-30 15:22 git Note Added: 0060926
2016-11-30 15:26 mkv Assigned To bugmaster => mkv
2016-12-01 19:09 mkv Note Added: 0060991
2016-12-01 19:10 mkv Note Added: 0060992
2016-12-01 19:10 git Note Added: 0060993
2016-12-01 19:10 mkv Note Added: 0060994
2016-12-01 19:10 mkv Assigned To mkv => bugmaster
2016-12-01 19:10 mkv Status reviewed => tested
2016-12-01 19:11 mkv Test case number => bugs modalg_6 bug27434
2016-12-09 16:46 apn Changeset attached => occt master a148c938
2016-12-09 16:46 apn Assigned To bugmaster => apn
2016-12-09 16:46 apn Status tested => verified
2016-12-09 16:46 apn Resolution open => fixed
2016-12-18 10:52 git Note Added: 0061782
2016-12-18 10:52 git Note Added: 0061783
2016-12-18 10:53 git Note Added: 0061784
2016-12-18 10:54 git Note Added: 0061819
2016-12-18 10:54 git Note Added: 0061820
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:31 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker